﻿package
{
	import flash.display.*;
	import flash.geom.*;
	
	
	public class Drawer
	{
		var bmpData:BitmapData;
		var bmp:Bitmap;
		
		
		public function Drawer(c:Sprite, w:uint, h:uint ):void
		{
			bmpData = new BitmapData(w, h, true, 0x00ffffff);
			bmp = new Bitmap(bmpData);
			c.addChild(bmp);
		}
		
		public function draw(x:uint, y:uint, obj:Sprite):void
		{
			var matrix : Matrix = new Matrix(1,0,0, 1, x, y);
			var color : ColorTransform = new ColorTransform(1,1,1,1,0,0,0,0);
			var rect : Rectangle = new Rectangle(x, y, x+obj.width, y+obj.height);
			bmpData.draw(obj, matrix, color, BlendMode.NORMAL, rect, true);
		}
		
		
		public function fillRect(rect:Rectangle, color:uint)
		{
			bmpData.fillRect(rect, color);
		}
		
		
		public function reset():void
		{
			var rect : Rectangle = new Rectangle(0, 0, bmp.width, bmp.height);
			bmpData.fillRect(rect, 0x00ffffff);
		}
		public function dipose():void
		{
			bmpData.dispose();
		}
	}
}